## org.apache.poi.hmef.attribute
Class MAPIStringAttribute

    java.lang.Object
      org.apache.poi.hmef.attribute.MAPIAttribute
          org.apache.poi.hmef.attribute.MAPIStringAttribute

    public final class MAPIStringAttribute

extends MAPIAttribute

A pure-MAPI attribute holding a String, which applies to a `HMEFMessage` or one of its `Attachment`s.

Constructor Summary
`MAPIStringAttribute(MAPIProperty property, int type, byte[] data)`

Method Summary
`static java.lang.String` `getAsString(MAPIAttribute attr)` Returns the string of a Attribute, converting as appropriate
`java.lang.String` `getDataString()`
`java.lang.String` `toString()`

Methods inherited from class org.apache.poi.hmef.attribute.MAPIAttribute
`create, getData, getProperty, getType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MAPIStringAttribute

    public MAPIStringAttribute(MAPIProperty property,
                               int type,
                               byte[] data)

Method Detail

### getDataString

    public java.lang.String getDataString()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `MAPIAttribute`

### getAsString

    public static java.lang.String getAsString(MAPIAttribute attr)

  Returns the string of a Attribute, converting as appropriate

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.